import { get, post, postJson } from './http.js';

export const getShopList = (params) => {
  return get('app/shop/list', params)
}
export const getNewShopList = (params) => {
  return get('app/shop/listNew', params)
}
export const shopListNew = (params) => {
  return get('app/shop/listSelect', params)
}

export const getShopDetail = (params) => {
  return get('app/shop/detail', params)
}
export const printTest = (params) => {
  return get('app/order/print/test/waimai', params)
}

export const shopAdd = (params) => {
  return post('app/shop/add', params)
}
export const shopEdit = (params) => {
  return post('app/shop/modify', params)
}

export const shopDelete = (params) => {
  return post('app/shop/delete', params)
}

export const getProductList = (params) => {
  return get('app/product/list', params)
}

export const getBindTakeOutList = (params) => {
  return get('app/waimai/list', params)
}

export const getTakeOutList = (params) => {
  return get('app/waimai/waimais', params)
}

export const bindTakeOut = (params) => {
  return post('app/waimai/bind', params)
}

export const deleteTakeOut = (params) => {
  return post('app/waimai/delete', params)
}

export const releaseTakeOut = (params) => {
  return post('app/waimai/release', params)
}

export const setTakeOut = (params) => {
  return post('app/waimai/set', params)
}

export const getDeliveryList = (params) => {
  return get('app/deliveryBind/list', params)
}

export const bindDelivery = (params) => {
  return post('app/delivery/bind', params)
}

export const bindUserSubmitDelivery = (params) => {
  return post('app/delivery/bindUserSubmit', params)
}

export const bindUserApplyDelivery = (params) => {
  return post('app/delivery/bindUserApply', params)
}

export const releaseDelivery = (params) => {
  return post('app/delivery/release', params)
}

export const unBindDelivery = (params) => {
  return post('app/delivery/unBind', params)
}

export const cancelBindDelivery = (params) => {
  return post('app/delivery/cancelBind', params)
}

export const updateShopNo = (params) => {
  return post('app/delivery/dada/update/shopNo', params)
}

export const explainDelivery = (params) => {
  return get('app/delivery/explain', params)
}

export const findCityDelivery = (params) => {
  return get('app/delivery/findCity', params)
}

export const floorAddDelivery = (params) => {
  return post('app/delivery/floor/add', params)
}

export const floorDetailDelivery = (params) => {
  return get('app/delivery/floor/detail', params)
}

export const floorListDelivery = (params) => {
  return get('app/delivery/floor/list', params)
}

export const getCityInfoDelivery = (params) => {
  return get('app/delivery/getCityInfo', params)
}

export const poiSearchDelivery = (params) => {
  return post('app/delivery/poiSearch', params)
}

export const statusDelivery = (params) => {
  return post('app/delivery/status', params)
}

// 门店设备列表
export const shopDeviceList = (params) => {
  return get('app/shop/device/list', params)
}
// 门店设备详情
export const deviceDetail = (params) => {
  return get('app/shop/device/detail', params)
}
// 设备列表
export const deviceList = (params) => {
  return get('app/shop/device/devices', params)
}
// 设备新增、编辑
export const deviceAdd = (params) => {
  return post('app/shop/device/add', params)
}
// 设备删除
export const deviceDelete = (params) => {
  return post('app/shop/device/delete', params)
}
// 设备状态
export const deviceStatus = (params) => {
  return get('app/shop/device/status', params)
}
// 添加USB打印机
export const addUsbPrint = (params) => {
  return post('app/shop/device/addUsbPrint', params)
}
// 获取USB打印机
export const getUsbPrint = (params) => {
  return get('app/shop/device/getUsbPrint', params)
}
// 获取外卖平台列表
export const getWaimaiList = (params) => {
  return post('app/waimai/waimais', params)
}
// 获取绑定配送平台列表
export const getBindDeliveryShopList = (params) => {
  return get('app/deliveryBind/shopList', params)
}
// 新绑定配送平台
export const bindDeliveryNew = (params) => {
  return post('app/deliveryBind/bind', params)
}
// 新解绑配送平台
export const unBindDeliveryNew = (params) => {
  return post('app/deliveryBind/unbind', params)
}
// 新达达、达达优质完善资料
export const updateShopNoNew = (params) => {
  return postJson('app/deliveryBind/dada/updateShopNo', params)
}
// 新UU跑腿解除绑定
export const cancelBindDeliveryNew = (params) => {
  return post('app/deliveryBind/unBindUupt', params)
}
// 新UU跑腿获取短信验证码
export const bindUserApplyDeliveryNew = (params) => {
  return post('app/deliveryBind/getUuptVerifyCode', params)
}
// 新UU跑腿绑定提交审核
export const bindUserSubmitDeliveryNew = (params) => {
  return post('app/deliveryBind/bindUupt', params)
}

// 爱跑腿解除绑定
export const unBindAptNew = (params) => {
  return post('app/deliveryBind/unBindAipt', params)
}

// 绑定外卖平台的店铺列表
export const getBindWaimaiShop = (params) => {
  return post('app/waimai/findWaimaiListNew', params)
}

// 获取预绑定的门店
export const getShopListNew = (params) => {
  return post('app/waimai/preBind', params)
}

// 新绑定外卖平台
export const bindTakeOutNew = (params) => {
  return post('app/waimai/bindNew', params)
}
// 外卖平台绑定门店更换
export const bindChangeShop = (params) => {
  return post('app/waimai/changeShop', params)
}

// 获取平台账号
export const getAccountList = (params) => {
  return get('app/shop/user/list', params)
}

// 删除平台账号
export const deletePlatformAccount = (params) => {
  return post('app/shop/user/delete', params)
}
// 新增平台账号
export const addPlatformAccount = (params) => {
  return post('app/shop/user/add', params)
}
// 修改平台账号
export const modifyPlatformAccount = (params) => {
  return post('app/shop/user/modify', params)
}

// 获取云盒打印机信息
export const getCloudDevice = (params) => {
  return get('app/shop/device/getCloudDevice', params)
}

// 云盒打印
export const cloudPrint = (params) => {
  return get('app/order/print/card', params)
}

// 云盒配置列表
export const cloudConfigList = (params) => {
  return get('app/shop/cloud/card/list', params)
}

// 新增、编辑云盒配置
export const cloudConfigAdd = (params) => {
  return postJson('app/shop/cloud/card/add', params)
}